# Method: accounttax.custombatch

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/accounttax/custombatch#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/accounttax/custombatch#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/accounttax/custombatch#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/accounttax/custombatch#body.AccounttaxCustomBatchResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/accounttax/custombatch#body.aspect)
- [AccounttaxCustomBatchRequest](https://developers.google.com/shopping-content/reference/rest/v2.1/accounttax/custombatch#AccounttaxCustomBatchRequest)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/accounttax/custombatch#AccounttaxCustomBatchRequest.SCHEMA_REPRESENTATION)
- [AccounttaxCustomBatchRequestEntry](https://developers.google.com/shopping-content/reference/rest/v2.1/accounttax/custombatch#AccounttaxCustomBatchRequestEntry)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/accounttax/custombatch#AccounttaxCustomBatchRequestEntry.SCHEMA_REPRESENTATION)
- [AccounttaxCustomBatchResponseEntry](https://developers.google.com/shopping-content/reference/rest/v2.1/accounttax/custombatch#AccounttaxCustomBatchResponseEntry)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/accounttax/custombatch#AccounttaxCustomBatchResponseEntry.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/accounttax/custombatch#try-it)

Retrieves and updates tax settings of multiple accounts in a single request.

### HTTP request

`POST https://shoppingcontent.googleapis.com/content/v2.1/accounttax/batch`

### Request body

The request body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/accounttax/custombatch#AccounttaxCustomBatchRequest`.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "entries": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/accounttax/custombatch#AccounttaxCustomBatchResponseEntry`) } ], "kind": string } ``` |

| Fields ||
|---|---|
| `entries[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/accounttax/custombatch#AccounttaxCustomBatchResponseEntry`)`` The result of the execution of the batch requests. |
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string "`content#accounttaxCustomBatchResponse`". |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## AccounttaxCustomBatchRequest

| JSON representation |
|---|
| ``` { "entries": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/accounttax/custombatch#AccounttaxCustomBatchRequestEntry`) } ] } ``` |

| Fields ||
|---|---|
| `entries[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/accounttax/custombatch#AccounttaxCustomBatchRequestEntry`)`` The request entries to be processed in the batch. |

## AccounttaxCustomBatchRequestEntry

A batch entry encoding a single non-batch accounttax request.

| JSON representation |
|---|
| ``` { "batchId": integer, "merchantId": string, "method": string, "accountId": string, "accountTax": { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/accounttax#AccountTax`) } } ``` |

| Fields ||
|---|---|
| `batchId` | `integer (https://developers.google.com/discovery/v1/type-format format)` An entry ID, unique within the batch request. |
| `merchantId` | `string` The ID of the managing account. |
| `method` | `string` The method of the batch entry. Acceptable values are: - "`get`" - "`update`" <br /> |
| `accountId` | `string` The ID of the account for which to get/update account tax settings. |
| `accountTax` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/accounttax#AccountTax`)`` The account tax settings to update. Only defined if the method is `update`. |

## AccounttaxCustomBatchResponseEntry

A batch entry encoding a single non-batch accounttax response.

| JSON representation |
|---|
| ``` { "batchId": integer, "kind": string, "accountTax": { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/accounttax#AccountTax`) }, "errors": { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/Errors`) } } ``` |

| Fields ||
|---|---|
| `batchId` | `integer (https://developers.google.com/discovery/v1/type-format format)` The ID of the request entry this entry responds to. |
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string "`content#accounttaxCustomBatchResponseEntry`" |
| `accountTax` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/accounttax#AccountTax`)`` The retrieved or updated account tax settings. |
| `errors` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/Errors`)`` A list of errors for failed custombatch entries. > [!NOTE] > **Note:** Schema errors fail the whole request. <br /> |